//===- BlackfinSubtarget.h - Define Subtarget for the Blackfin -*- C++ -*-====//
//
//                     The LLVM Compiler Infrastructure
//
// This file is distributed under the University of Illinois Open Source
// License. See LICENSE.TXT for details.
//
//===----------------------------------------------------------------------===//
//
// This file declares the BLACKFIN specific subclass of TargetSubtarget.
//
//===----------------------------------------------------------------------===//

#ifndef BLACKFIN_SUBTARGET_H
#define BLACKFIN_SUBTARGET_H

#include "llvm/Target/TargetSubtarget.h"
#include <string>

namespace llvm {

  class TargetMachine;
  class Module;

  class BlackfinSubtarget : public TargetSubtarget {
    bool ssyncWorkaround;
  public:
    BlackfinSubtarget(const TargetMachine &TM, const Module &M,
                      const std::string &FS);

    /// ParseSubtargetFeatures - Parses features string setting specified
    /// subtarget options.  Definition of function is auto generated by tblgen.
    std::string ParseSubtargetFeatures(const std::string &FS,
                                       const std::string &CPU);
  };

} // end namespace llvm

#endif
